{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}home.html{% endblock %}</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.1/css/all.css">
    <link rel="icon" href="{% static 'img/favicon.ico' %}">

    {% block extra-style %}{% endblock %}
</head>
<body style="padding-top: 90px">
<!--Main Menu                    fixed-top 사용하면 body 에 padding-top 을 넣어야 한다.-->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top">
        <span class="navbar-brand mx-5 mb-0 font-weight-bold font-italic">Django & Vue</span>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item mx-1 btn btn-primary">
                    <a class="nav-link" text="white" href="{% url 'home' %}">Home</a>
                </li>
                <li class="nav-item mx-1 btn btn-primary">
                    <a class="nav-link" text="white" href="{% url 'todo:see' %}">VueSee</a>
                </li>
                <li class="nav-item mx-1 btn btn-primary">
                    <a class="nav-link" text="white" href="{% url 'todo:create' %}">Django</a>
                </li>
                <li class="nav-item mx-1 btn btn-primary">
                    <a class="nav-link" text="white" href="{% url 'todo:mixin' %}">DjangoMixin</a>
                </li>
                <li class="nav-item dropdown mx-1 btn btn-primary">
                    <a class="nav-link dropdown-toggle"  text="white" href="#" id="dropdown">
                    Util
                    </a>
                    <div class="dropdown-menu">
                        <a class="dropdown-item" href="{% url 'admin:index' %}">Admin</a>
                        <div class="dropdown-divider"></div>
                    </div>
                </li>
            </ul>
            <form class="form-inline my-2">
                <input class="form-control mr-sm-2" type="search" placeholder="Search">
            </form>
            <ul class="navbar-nav ml-5 mr-5">
                <li class="nav-item dropdown mx-1 btn btn-primary">
                    <a class="nav-link dorpdown-toggle text-white" href="#" data-toggle="dropdown">
                        <i class="fas fa-user"></i>&nbsp; Anonymous &nbsp;</a>
                    <div class="dropdown-menu">
                        <a class="dropdown-item" href="{% url 'home' %}">Login</a>
                        <a class="dropdown-item" href="{% url 'home' %}">Register</a>
                    </div>
                </li>
            </ul>
        </div>
    </nav>

    <div class="container">
        {% block content %}{% endblock %}
    </div>

{% block footer %}{% endblock %}

<!--Bootstrap core JavaScript-->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

{% block extra-script %}{% endblock %}

</body>
</html>